fe48c9c4e5
- fixed curl error with zero size kickstart file Resolves: rhbz#989133 - fixed systemd-cat failure, when systemd is installed but not actually running Resolves: rhbz#1002021 - do not fail on empty dracut module directories Resolves: rhbz#1003153
24 lines
951 B
Diff
24 lines
951 B
Diff
From 5c274467d6a4959b7f451f9a211ffbb38d69b641 Mon Sep 17 00:00:00 2001
|
|
From: Harald Hoyer <harald@redhat.com>
|
|
Date: Tue, 20 Aug 2013 16:15:17 +0200
|
|
Subject: [PATCH] url-lib.sh: handle 0-size files with curl
|
|
|
|
https://bugzilla.redhat.com/show_bug.cgi?id=989133#c9
|
|
---
|
|
modules.d/45url-lib/url-lib.sh | 2 +-
|
|
1 file changed, 1 insertion(+), 1 deletion(-)
|
|
|
|
diff --git a/modules.d/45url-lib/url-lib.sh b/modules.d/45url-lib/url-lib.sh
|
|
index 34d42ba..12df9b4 100755
|
|
--- a/modules.d/45url-lib/url-lib.sh
|
|
+++ b/modules.d/45url-lib/url-lib.sh
|
|
@@ -64,7 +64,7 @@ curl_fetch_url() {
|
|
local url="$1" outloc="$2"
|
|
echo "$url" > /proc/self/fd/0
|
|
if [ -n "$outloc" ]; then
|
|
- curl $curl_args --output "$outloc" -- "$url" || return $?
|
|
+ curl $curl_args --output - -- "$url" > "$outloc" || return $?
|
|
else
|
|
local outdir="$(mkuniqdir /tmp curl_fetch_url)"
|
|
( cd "$outdir"; curl $curl_args --remote-name "$url" || return $? )
|